com.amazonaws.services.machinelearning.model

## Class PerformanceMetrics

- java.lang.Object
- - com.amazonaws.services.machinelearning.model.PerformanceMetrics

All Implemented Interfaces:
  Serializable, Cloneable

    public class PerformanceMetrics
    extends Object
    implements Serializable, Cloneable

Measurements of how well the `MLModel` performed on known observations. One of the following metrics is returned, based on the type of the `MLModel`:

- BinaryAUC: The binary `MLModel` uses the Area Under the Curve (AUC) technique to measure performance.

- RegressionRMSE: The regression `MLModel` uses the Root Mean Square Error (RMSE) technique to measure performance. RMSE measures the difference between predicted and actual values for a single variable.

- MulticlassAvgFScore: The multiclass `MLModel` uses the F1 score technique to measure performance.

For more information about performance metrics, please see the Amazon Machine Learning Developer Guide.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PerformanceMetrics()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PerformanceMetrics` `addPropertiesEntry(String key, String value)`
`PerformanceMetrics` `clearPropertiesEntries()` Removes all the entries added into Properties.
`PerformanceMetrics` `clone()`
`boolean` `equals(Object obj)`
`Map<String,String>` `getProperties()`
`int` `hashCode()`
`void` `setProperties(Map<String,String> properties)`
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`PerformanceMetrics` `withProperties(Map<String,String> properties)`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PerformanceMetrics

    public PerformanceMetrics()

### Method Detail

#### getProperties

    public Map<String,String> getProperties()

Returns:

#### setProperties

    public void setProperties(Map<String,String> properties)

Parameters:
  `properties` -

#### withProperties

    public PerformanceMetrics withProperties(Map<String,String> properties)

Parameters:
  `properties` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### addPropertiesEntry

    public PerformanceMetrics addPropertiesEntry(String key,
                                                 String value)

#### clearPropertiesEntries

    public PerformanceMetrics clearPropertiesEntries()

Removes all the entries added into Properties.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public PerformanceMetrics clone()

Overrides:
  `clone` in class `Object`